package cn.im.ptlxstore.service;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;
import cn.im.ptlxstore.dao.PtlxccqzglDao;

@Service("ptlxccqzglService")
public class PtlxccqzglService extends BaseService {
	
	private static Log log = LogFactory.getLog(PtlxccqzglService.class);
	
	@Autowired
	private PtlxccqzglDao ptlxccqzglDao;
	
	/**
	 * 保存记录
	 * 
	 * @param
	 * @return
	 */
	public void insert_Ptlxccqzgl(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		ptlxccqzglDao.insert_Ptlxccqzgl(map);
	}

	
	/**
	 * 修改记录
	 * 
	 * @param
	 * @return
	 */
	public Integer update_Ptlxccqzgl(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return ptlxccqzglDao.update_Ptlxccqzgl(map);
	}
	
	/**
	 * 删除记录
	 * 
	 * @param
	 * @return
	 */
	public Integer delete_Ptlxccqzgl(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return ptlxccqzglDao.delete_Ptlxccqzgl(map);
	}
	
	/**
	 * 批处理删除记录
	 * 
	 * @param
	 */
	public Integer batch_delete_Ptlxccqzgl(Map map) throws SQLException{
		return ptlxccqzglDao.batch_delete_Ptlxccqzgl(map);
	}

	
	/**
	 * 查询总数
	 * 
	 * @param
	 * @return
	 */
	public Integer count_Ptlxccqzgl(Map map) throws SQLException{
		return ptlxccqzglDao.count_Ptlxccqzgl(map);
	}
	
	/**
	 * 查询列表记录SELECT
	 * 
	 * @param
	 * @return
	 */
	public List<Map> query_Ptlxccqzgl(Map map) throws SQLException{
		return ptlxccqzglDao.query_Ptlxccqzgl(map);
	}
	
	/**
	 * 查询列表记录SELECT
	 * 
	 * @param
	 * @return
	 */
	public List<Map> query_ptlxccqzgl_no(Map map) throws SQLException{
		return ptlxccqzglDao.query_ptlxccqzgl_no(map);
	}
	
	/**
	 * 查询一条
	 * 
	 * @param
	 * @return
	 */
	public Map get_Ptlxccqzgl(Map map) throws SQLException{
		return ptlxccqzglDao.get_Ptlxccqzgl(map);
	}
	
	/**
	 * 导出EXCEL
	 * 
	 * @param
	 * @return
	 */
	public Map exportPtlxccqzgl(Map map) throws SQLException{
		return this.listPtlxccqzglByPage(map);
	}
	
	/**
	 * Ptlxccqzgl 分页
	 * @param map
	 * @return
	 * @throws SQLException
	 */
	public Map listPtlxccqzglByPage(Map map) throws SQLException {
		List<Map> list = ptlxccqzglDao.query_Ptlxccqzgl(map);
		Integer totalCount = ptlxccqzglDao.count_Ptlxccqzgl(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
}
